## org.jfree.data.time
Class TimePeriodFormatException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.jfree.data.time.TimePeriodFormatException

All Implemented Interfaces:
  java.io.Serializable

    public class TimePeriodFormatException

extends java.lang.IllegalArgumentException

An exception that indicates an invalid format in a string representing a time period.

See Also:
  Serialized Form

Constructor Summary
`TimePeriodFormatException(java.lang.String message)` Creates a new exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TimePeriodFormatException

    public TimePeriodFormatException(java.lang.String message)

  Creates a new exception.

  Parameters:
    `message` - a message describing the exception.